#include <stdio.h>
#include <sps2lib.h>

#include "packet.h"

/*
 * This small sample allocates an uncached memory area and then
 * maps a cached equivalent of it.
 */
int main() {
  int iSPS2Device;
  int iLooper;

  iSPS2Device=_sps2Open();

  // I'm asking for 4k allocated in a 128k chunk.
  // It will resize the chunk appropriately down to 4k
  for (iLooper=0;iLooper<33;iLooper++) {
    printf("Allocation %i returns %08x\n", iLooper,
	   sps2Allocate(1024*1024, SPS2_MAP_BLOCK_4K,
			iSPS2Device));
  }


  return 0;
}
